gRPC C#
gRPC C#
Namespaces
Grpc.Core
Server Class
Server Constructor
Server Properties
Server Methods

Server Class

gRPC server. A single server can server arbitrary number of services and can listen on more than one ports.
Inheritance Hierarchy
System
Object
Grpc.Core
Server

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class Server

    Public Class Server

    public ref class Server

    type Server =  class end

The Server type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| Server | Create a new server.

Top
Properties

| Name | Description
--- | --- | ---
| Ports | Ports on which the server will listen once started. Register a port with this server by adding its definition to this collection.
| Services | Services that will be exported by the server once started. Register a service with this server by adding its definition to this collection.
| ShutdownTask | To allow awaiting termination of the server.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| KillAsync | Requests server shutdown while cancelling all the in-progress calls. The returned task finishes when shutdown procedure is complete.
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ShutdownAsync | Requests server shutdown and when there are no more calls being serviced, cleans up used resources. The returned task finishes when shutdown procedure is complete.
| Start | Starts the server.
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace